安装了ubuntu10.10的版本,怎么把gcc降成3.X的版本啊?

C、C++和Java语言
回复
鼻子冒泡
帖子: 16
注册时间: 2011-03-01 23:19
送出感谢: 0
接收感谢: 0

安装了ubuntu10.10的版本,怎么把gcc降成3.X的版本啊?

#1

帖子 鼻子冒泡 » 2011-03-11 13:57

用apt-get 找不到gcc3.x的包,怎么办呢?
头像
tangboyun
帖子: 701
注册时间: 2009-07-25 1:57
送出感谢: 5 次
接收感谢: 13 次
联系:

Re: 安装了ubuntu10.10的版本,怎么把gcc降成3.X的版本啊?

#2

帖子 tangboyun » 2011-03-11 17:23

能说说为啥要降吗?
我记得自己在10.10里编译3.x版本的话,问题很多,有许多bug的,什么bison依赖gcj问题之类的。没有特殊需要的话,别做这事情了。另外3.x版本性能比4.x版本差很多的,你要考虑老的gcc的兼容性好的话,可以试试看4.1或者4.2,4.2一般是标准吧,和其他c编译器的二进制兼容性还行。如果是编译一些库通不过的话,建议读文档或者google下,关闭一些gcc4.2以后的新特性,一般都可以用宏来禁止的。(一般4.2就可以了。)

再补充下,不要强行的去更改系统本身自带的gcc和库版本,否则你以后装其他软件不留神就会出运行时错误的。
https://github.com/tangboyun
http://tangboyun.is-programmer.com/
提问的智慧————Eric Steven Raymond
回答的智慧————Andrew Clarke
吾尝终日而思矣,不如须臾之所学也;吾尝跂而望矣,不如登高之博见也。
急急急标题什么的,最讨厌了!
急急复急急,急急何其多,我生待急急,万事急急急。
回复

回到 “C/C++/Java”